# $Revision: 1.165 $, $Date: 2012/06/06 20:56:42 $
Summary:	gedit - small but powerful text editor for X Window
Summary(pl.UTF-8):	gedit - mały ale potężny edytor tekstu dla X Window
Name:		gedit
Version:	3.4.2
Release:	1
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gedit/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	1f3e9f255fc16609ca8598a82da18cff
URL:		http://www.gnome.org/projects/gedit/
BuildRequires:	autoconf >= 2.63.2
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	enchant-devel >= 1.2.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.2.0
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	gtksourceview3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes >= 0.35
BuildRequires:	libpeas-devel >= 1.1.0
BuildRequires:	libpeas-gtk-devel >= 1.1.0
BuildRequires:	libsoup-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libzeitgeist-devel >= 0.3.2
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.3
BuildRequires:	python-pygobject3-devel >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	gsettings-desktop-schemas >= 3.1.0
Requires:	gtk+3 >= 3.4.0
Requires:	iso-codes >= 0.35
Requires:	libpeas-loader-python >= 1.1.0
Requires:	python-pycairo
Requires:	python-pygobject3 >= 3.0.0
Obsoletes:	gedit-plugins < 2.3.3-2
# sr@Latn vs. sr@latin
Obsoletes:	gedit2
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	skip_post_check_so libgedit-private.so.0.0.0

%description
gedit is a small but powerful text editor for GTK+ and/or GNOME. It
includes such features as split-screen mode, a plugin API, which
allows gedit to be extended to support many features while remaining
small at its core, multiple document editing and many more functions.

%description -l pl.UTF-8
gedit jest małym ale potężnym edytorem tekstu dla GTK+ i/lub GNOME.
Zawiera takie funkcje jak tryb podzielonego ekranu, API dla "wtyczek",
który umożliwia rozszerzenie funkcji gedita o dodatkowe możliwości,
nie zwiększając rozmiarów samego programu, możliwość edycji wielu
dokumentów naraz i wiele innych.

%package devel
Summary:	gedit header files
Summary(pl.UTF-8):	Pliki nagłówkowe gedit
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtksourceview3-devel >= 3.0.0
Requires:	libpeas-devel >= 1.1.0
Requires:	libpeas-gtk-devel >= 1.1.0
Obsoletes:	gedit2-devel

%description devel
gedit header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe gedit.

%package apidocs
Summary:	gedit API documentation
Summary(pl.UTF-8):	Dokumentacja API gedit
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	gedit2-apidocs

%description apidocs
gedit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gedit.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-updater \
	--enable-gtk-doc \
	--disable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gedit/plugins/*.la \
	$RPM_BUILD_ROOT%{_libdir}/gedit/plugins/*/*.py \
	$RPM_BUILD_ROOT%{_libdir}/gedit/*.la

%py_postclean

%find_lang gedit --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas

%files -f gedit.lang
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{_bindir}/gedit
%attr(755,root,root) %{_bindir}/gnome-text-editor
%dir %{_libdir}/gedit
%attr(755,root,root) %{_libdir}/gedit/libgedit-private.so
%dir %{_libdir}/gedit/plugins
%attr(755,root,root) %{_libdir}/gedit/gedit-bugreport.sh
%attr(755,root,root) %{_libdir}/gedit/plugins/*.so
%{_libdir}/gedit/plugins/*.plugin
%dir %{_libdir}/gedit/plugins/externaltools
%{_libdir}/gedit/plugins/externaltools/*.py[co]
%dir %{_libdir}/gedit/plugins/pythonconsole
%{_libdir}/gedit/plugins/pythonconsole/*.py[co]
%dir %{_libdir}/gedit/plugins/snippets
%{_libdir}/gedit/plugins/snippets/*.py[co]
%dir %{_libdir}/gedit/plugins/quickopen
%{_libdir}/gedit/plugins/quickopen/*.py[co]
%dir %{_libdir}/gedit/girepository-1.0
%{_libdir}/gedit/girepository-1.0/Gedit-3.0.typelib
%{_datadir}/gedit
%{_datadir}/GConf/gsettings/gedit.convert
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.externaltools.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.pythonconsole.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.gschema.xml
%{_desktopdir}/gedit.desktop
%{_mandir}/man1/gedit.1*
%{py_sitedir}/gi/overrides/*.py[co]

%files devel
%defattr(644,root,root,755)
%{_includedir}/gedit-3.0
%{_pkgconfigdir}/gedit.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gedit

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gedit.spec,v $
Revision 1.165  2012/06/06 20:56:42  megabajt
- updated to 3.4.2

Revision 1.164  2012/05/08 13:03:09  megabajt
- added obsoletes for subpackages
- release 2

Revision 1.163  2012/05/08 07:23:57  caleb
- Package renamed from gedit2 to gedit (currently v3+)

Revision 1.162  2012/04/17 20:54:31  megabajt
- updated to 3.4.1

Revision 1.161  2012/03/28 09:08:17  kiesiu
- updated to 3.4.0; merged from DEVEL

Revision 1.160.2.1  2012/03/08 19:15:55  megabajt
- updated to 3.3.7

Revision 1.160  2012/01/17 21:58:09  kiesiu
- updated to 3.2.6

Revision 1.159  2011/12/11 13:45:48  kiesiu
- updated to 3.2.5

Revision 1.158  2011/11/15 20:43:47  kiesiu
- updated to 3.2.3

Revision 1.157  2011/11/13 20:19:03  kiesiu
- updated to 3.2.2

Revision 1.156  2011/10/18 18:46:29  kiesiu
- updated to 3.2.1

Revision 1.155  2011/09/28 20:15:53  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.154.2.1  2011/09/19 19:42:03  megabajt
- updated to 3.1.6

Revision 1.154  2011/07/01 15:59:42  megabajt
- updated to 3.0.6

Revision 1.153  2011/06/18 21:12:46  kiesiu
- updated to 3.0.5

Revision 1.152  2011/06/01 18:51:08  megabajt
- updated to 3.0.4

Revision 1.151  2011/05/26 07:00:12  kiesiu
- updated to 3.0.3

Revision 1.150  2011/04/26 11:31:03  megabajt
- updated to 3.0.2

Revision 1.149  2011/04/13 11:03:14  megabajt
- updated to 3.0.1

Revision 1.148  2011/04/05 18:31:09  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.147  2011/03/27 06:34:44  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- use __rm macro

Revision 1.146.2.5  2011/03/26 20:08:43  megabajt
- updated to 2.91.11

Revision 1.146.2.4  2011/03/22 21:54:49  megabajt
- updated to 2.91.10

Revision 1.146.2.3  2011/03/13 16:38:36  megabajt
- build zeitgeist plugin

Revision 1.146.2.2  2011/03/13 15:57:41  megabajt
- updated to 2.91.9

Revision 1.146.2.1  2011/03/07 21:27:22  wiget
- up to 2.91.8

Revision 1.146  2010/10/01 20:43:48  megabajt
- updated to 2.30.4

Revision 1.145  2010/07/09 11:15:52  arekm
- release 3

Revision 1.144  2010/07/08 07:49:29  arekm
- release 2

Revision 1.143  2010/06/23 07:59:54  megabajt
- updated to 2.30.3

Revision 1.142  2010/04/19 08:43:42  patrys
- fixed BR

Revision 1.141  2010/04/19 08:38:39  patrys
- 2.30.2

Revision 1.140  2010/03/30 10:41:42  patrys
- merged from DEVEL

Revision 1.136.2.8  2010/03/30 10:38:39  patrys
- 2.30.0

Revision 1.136.2.7  2010/03/15 18:47:58  megabajt
- updated to 2.29.9

Revision 1.139  2010/02/16 23:23:32  ankry
- la via LANGUAGE

Revision 1.136.2.6  2010/02/13 10:55:47  patrys
- updated BR

Revision 1.136.2.5  2010/02/12 10:01:26  patrys
- 2.29.6

Revision 1.136.2.4  2010/02/01 13:30:51  patrys
- 2.29.5

Revision 1.136.2.3  2010/01/15 10:32:33  patrys
- 2.29.4

Revision 1.138  2009/12/19 21:21:35  megabajt
- updated to 2.28.3

Revision 1.136.2.2  2009/12/03 12:57:10  patrys
- 2.29.3

Revision 1.137  2009/11/27 02:15:19  sparky
- BR: docbook-dtd412-xml, rpm-pythonprov

Revision 1.136.2.1  2009/11/26 10:05:24  patrys
- 2.29.2

Revision 1.136  2009/11/12 19:00:05  megabajt
- updated to 2.28.2

Revision 1.135  2009/11/10 22:49:01  megabajt
- updated to 2.28.1

Revision 1.134  2009/09/26 20:36:35  patrys
- merged from DEVEL

Revision 1.132.2.6  2009/09/26 20:35:53  patrys
- 2.28.0

Revision 1.132.2.5  2009/09/08 08:40:43  patrys
- 2.27.6

Revision 1.132.2.4  2009/08/25 15:26:48  patrys
- 2.27.5

Revision 1.132.2.3  2009/08/11 09:54:40  patrys
- 2.27.4

Revision 1.133  2009/07/03 15:46:36  megabajt
- updated to 2.26.3

Revision 1.132.2.2  2009/06/22 10:53:28  patrys
- 2.27.2

Revision 1.132.2.1  2009/05/28 09:11:53  patrys
- 2.27.1

Revision 1.132  2009/05/19 17:36:57  megabajt
- updated to 2.26.2

Revision 1.131  2009/04/13 22:12:20  megabajt
- updated to 2.26.1

Revision 1.130  2009/03/15 18:35:57  megabajt
- updated deps
- cleanup

Revision 1.129  2009/03/15 17:58:36  patrys
- 2.26.0

Revision 1.128  2009/03/14 23:32:56  hawk
- s/BR: python-gobject/BR: python-pygobject-devel/, package python-gobject
  doesn't exist, release 2

Revision 1.127  2008/11/28 11:51:28  sls
- BR: python-gobject >= 2.15.4 (I guess it really should be Requires:)

Revision 1.126  2008/11/28 11:27:13  sls
- ver. 2.24.2
- rm latin locale
- removed python.patch

Revision 1.125  2008/10/09 20:40:16  megabajt
- merged from DEVEL
- updated deps

Revision 1.124  2008/10/03 17:43:40  arekm
- release 2

Revision 1.122.2.8  2008/09/27 23:25:16  qwiat
- up to 2.24
- BR

Revision 1.122.2.7  2008/09/12 21:40:24  patrys
- 2.23.92
- drop libtool patch (obsoleted by python patch)
- add python patch

Revision 1.122.2.6  2008/09/04 09:45:37  patrys
- 2.23.91

Revision 1.122.2.5  2008/08/21 13:24:05  megabajt
- updated to 2.23.90

Revision 1.122.2.4  2008/08/18 12:14:59  patrys
- does no longer depend on libgnomeui

Revision 1.122.2.3  2008/08/17 23:07:07  patrys
- 2.23.3

Revision 1.122.2.2  2008/07/06 19:10:22  megabajt
- apply -libtool.patch

Revision 1.123  2008/05/28 15:22:53  megabajt
- updated to 2.22.3
- added -libtool.patch

Revision 1.122.2.1  2008/05/13 12:07:05  patrys
- 2.23.1

Revision 1.122  2008-04-10 14:27:19  megabajt
- updated to 2.22.1

Revision 1.121  2008-03-11 21:39:55  patrys
- require proper version of gtksourceview2
- rel 2

Revision 1.120  2008-03-11 21:05:28  patrys
- 2.22.0
- merged from DEVEL

Revision 1.119.2.3  2008-03-11 21:04:39  patrys
- 2.22.0

Revision 1.119.2.2  2008-01-25 17:49:00  patrys
- actually drop R: and BR: on libgnomeprintui

Revision 1.119.2.1  2008-01-25 17:30:40  patrys
- 2.21.1

Revision 1.119  2007-11-27 21:14:54  megabajt
- updated to 2.20.4
- added apidosc subpackage
- use better way to fix locale name
- use --with-omf

Revision 1.118  2007-11-04 22:53:38  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.117  2007/10/26 21:52:37  megabajt
- updated to 2.20.3

Revision 1.116  2007/10/16 18:03:06  megabajt
- updated to 2.20.2

Revision 1.115  2007/09/27 16:38:11  megabajt
- updated to 2.20.1

Revision 1.114  2007/09/17 13:31:58  patrys
- 2.20.0

Revision 1.113  2007/07/26 10:02:26  megabajt
- updated to 2.18.2

Revision 1.112.4.5  2007/09/11 15:52:28  megabajt
- updated to 2.19.92

Revision 1.112.4.4  2007/09/02 10:17:47  aflinta
- use single thread during make install on SMP systems

Revision 1.112.4.3  2007/08/30 21:25:03  megabajt
- updated to 2.19.91
- removed active_plugins patch
- added S: python-vte

Revision 1.112.4.2  2007/08/04 20:03:53  patrys
- 2.19.3

Revision 1.112.4.1  2007/07/05 13:16:42  patrys
- 2.19.1

Revision 1.112  2007/04/11 16:03:36  megabajt
- updated to 2.18.1

Revision 1.111  2007/03/22 20:55:18  paladine
- fixed activating plugins on init
- rel 2

Revision 1.110  2007/03/11 12:46:37  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.109  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.108  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.107.2.4  2007/03/05 17:36:42  megabajt
- updated deps

Revision 1.107.2.3  2007/03/04 20:37:42  patrys
- 2.17.6

Revision 1.107.2.2  2007/02/12 13:20:12  baggins
- converted to UTF-8

Revision 1.107.2.1  2007/01/30 10:18:36  patrys
- 2.17.4

Revision 1.107  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.106  2006/10/30 14:37:41  megabajt
- up to 2.16.2

Revision 1.105  2006/10/05 22:06:42  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.104  2006/10/03 19:18:39  grzegol
- 2.16.1

Revision 1.103  2006/09/15 12:09:15  teodor
- R: gnome-vfs2

Revision 1.102  2006/09/06 21:07:06  grzegol
- 2.16.0

Revision 1.101  2006/08/28 17:47:28  grzegol
- no need to use --all-name with %%find_lang

Revision 1.100  2006/08/26 17:48:14  grzegol
- 2.15.9

Revision 1.99  2006/08/22 04:42:21  freetz
- 2.15.8, updated deps

Revision 1.98  2006/08/14 20:58:32  grzegol
- updated to 2.15.7

Revision 1.97  2006/08/07 21:06:15  freetz
- 2.15.6, popt no longer required

Revision 1.96  2006/07/26 19:07:33  freetz
- 2.15.5, updated schemas list

Revision 1.95  2006/07/13 21:24:08  freetz
- 2.15.4, updated deps, --as-needed support

Revision 1.94  2006/06/13 20:42:02  freetz
- 2.15.3, updated deps, gtk-doc docmentation included in -devel

Revision 1.93  2006/06/11 09:00:47  freetz
- python-desktop-gtksourceview is mandatory now

Revision 1.92  2006/06/11 08:56:50  freetz
- gEdit is dead -> s/gEdit/gedit

Revision 1.91  2006/06/09 21:35:29  freetz
- 2.15.2, GNOME 2.15.x deps, updated file list, removed unsupported locale

Revision 1.90  2006/06/06 13:02:49  qboosh
- merged update to 2.14.3 from AC-branch

Revision 1.89  2006/05/27 08:40:27  qboosh
- merged further deps update from AC-branch

Revision 1.85.4.2  2006/05/18 22:51:11  baggins
- release 2
- strict reqs

Revision 1.88  2006/05/17 15:00:46  qboosh
- GNOME 2.14 deps (merged from AC-branch)

Revision 1.87  2006/04/10 17:35:11  freetz
- 2.14.2

Revision 1.86  2006/04/02 14:54:28  freetz
- merged from DEVEL

Revision 1.85.2.13  2006/03/16 16:49:50  freetz
- 2.14.1

Revision 1.85.2.12  2006/03/12 22:49:00  freetz
- 2.14.0

Revision 1.85.2.11  2006/03/06 17:55:56  freetz
- 2.13.93

Revision 1.85.2.10  2006/02/27 09:08:55  freetz
- 2.13.92

Revision 1.85.2.9  2006/02/13 21:10:59  freetz
- 2.13.91, packaged scrollkeeper docs not moved to gnome-doc yet

Revision 1.85.2.8  2006/01/31 17:42:32  freetz
- remove attr for py[co]

Revision 1.85.2.7  2006/01/31 16:41:16  freetz
- 2.13.90

Revision 1.85.2.6  2006/01/16 12:30:39  patrys
- up to 2.13.2
- another 'patrys upgrade mess'
- for freetz with love
- don't expect production spec quality from DEVEL

Revision 1.85.2.5  2006/01/07 00:33:26  freetz
- don't expect more files then provided - s/.so*/.so

Revision 1.85.2.4  2006/01/07 00:30:44  freetz
- keep out scrollkeeper from updating a database at build time

Revision 1.85.2.3  2006/01/07 00:22:40  freetz
- fixed partially mess called 'upgrade by patrys'

Revision 1.85.2.2  2006/01/04 22:26:14  patrys
- enabled support for python plugins

Revision 1.85.2.1  2006/01/03 22:54:40  patrys
- up to 2.13.1

Revision 1.85  2005/10/04 21:06:36  freetz
- 2.12.1

Revision 1.84  2005/09/08 10:47:50  aflinta
- rebuild with proper gnome menus, release 2

Revision 1.83  2005/09/06 18:50:27  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.81.2.5  2005/09/05 12:57:36  paladine
- updated to 2.12.0

Revision 1.81.2.4  2005/08/30 09:54:30  paladine
- updated to 2.11.93 (bugfixes and translation updates)

Revision 1.81.2.3  2005/08/23 12:00:48  aflinta
- 2.11.92

Revision 1.81.2.2  2005/08/18 21:12:39  aflinta
- rebuild with cairo, rel. 2

Revision 1.81.2.1  2005/08/08 20:32:34  freetz
- 2.11.91
